<?php
	//E V E N T S   M E T A B O X 
	//--------------------------------------------------------
	$prefix = '';
	$sidebarwidget = get_option('atp_customsidebar');
	$meta_box[] = array(
		'id'		=> 'events-meta-box',
		'title'		=> THEMENAME. ' Events Options',
		'page'		=> array('events'),
		'context'	=> 'normal',
		'priority'	=> 'high',
		'fields'	=> array(
			array(
				'name'	=> __('Events Date','ATP_ADMIN_SITE'),
				'desc'	=> 'Type the text you wish to display in the Events Time element',
				'id'	=> 'event_date',
				'title'	=> 'Event  &amp; Date',
				'std'	=> date('d-M-y'),
				'type'	=> 'date',
			),
			array(
				'name'	=> __('Start Time','ATP_ADMIN_SITE'),
				'desc'	=> 'Select the Event starting time',
				'id'	=> 'event_starttime',
				'title'	=> 'Start  &amp; Time',
				'std'	=> '',
				'type'	=> 'eventtime',
			),
			array(
				'name'	=> __('End Time','ATP_ADMIN_SITE'),
				'desc'	=> 'Select the Event ending time',
				'id'	=> 'event_endtime',
				'title'	=> 'End  &amp; Time',
				'std'	=> '',
				'type'	=> 'eventtime',
			),
			array(
				'name'	=> __('Venue','ATP_ADMIN_SITE'),
				'desc'	=> 'Type the Venue or the place of the event which it will be organized.',
				'id'	=> 'event_venue',
				'title'	=> 'Event  &amp; Venue',
				'std'	=> '',
				'type'	=> 'textarea',
			),
			array(
				'name'	=> __('Location','ATP_ADMIN_SITE'),
				'desc'	=> 'Type the address where the event is organized and the same address will be used to display the Google Map for the Event Location.',
				'id'	=> 'event_location',
				'title'	=> 'Event  &amp; Location',
				'std'	=> '',
				'type'	=> 'textarea',
			),
				// C U S T O M   S U B H E A D E R   T E A S E R 
			//--------------------------------------------------------
			array(
				'name'	=> __('Subheader Options','ATP_ADMIN_SITE'),
				'desc'	=> 'Select the Teaser type mode you want to display in subheader of the this Post',
				'id'	=> $prefix . 'subheader_teaser_options',
				'std'	=> '',
				'type'	=> 'select',
				'options'=> array(
							'default'	=> 'Default ( Options Panel )',
							'twitter'	=> 'Twitter', 	
							'custom'	=> 'Custom', 
							'googlemap'	=> 'Google Map',
							'disable'	=> 'Disable')
			),
			// T E A S E R   T E X T 
			//--------------------------------------------------------
			array(
				'name'	=> __('Teaser Text','ATP_ADMIN_SITE'),
				'desc'	=> 'Type the text you wish to display in the subheader of this page/post. If you wish to use bold text then use strong element example &lt;strong&gt;bold text &lt;/strong&gt;',
				'id'	=> 'page_desc',
				'title'	=> 'Title &amp; Teaser Text',
				'class'	=> 'sub_teaser_option custom',
				'std'	=> '',
				'type'	=> 'textarea',
			),
			// GOOGLE MAP
			//--------------------------------------------------------
			array(
				'name'	=> __('Google Map Shortcode','ATP_ADMIN_SITE'),
				'desc'	=> 'Type Google Map shortcode you wish to display in the subheader area. Use the shortcode generator in a page to create your google map and then place the shortcode here.',
				'id'	=> 'sub_gmap',
				'title'	=> 'Google Map / Shortcode',
				'class'	=> 'sub_teaser_option googlemap',
				'std'	=> '',
				'type'	=> 'textarea',
			),
			// P A G E   B A C K G R O U N D
			//--------------------------------------------------------
			array(
				'name'	=> __('Page Background','ATP_ADMIN_SITE'),
				'desc'	=> 'Upload the image for the page background',
				'id'	=> 'page_bg_image',
				'std'	=> '',
				'title'	=> 'Background Image',
				'type'	=> 'upload',
			),
			// S U B H E A D E R   C O L O R
			//--------------------------------------------------------
			array(
				'name'	=> __('Subheader Background','ATP_ADMIN_SITE'),
				'desc'	=> 'Choose the color for subheader background',
				'id'	=> 'subheader_bg_color',
				'std'	=> '',
				'title'	=> 'Subheader Background',
				'type'	=> 'color',
			),
			// S U B H E A D E R   B A C K G R O U N D 
			//--------------------------------------------------------
			array(
				'name'	=> __('Subheader Image','ATP_ADMIN_SITE'),
				'desc'	=> 'Upload Subheader Image',
				'id'	=> $prefix.'subheader_img',
				'type'	=> 'upload',
				'std' 	=> '',
				
			),
			// C U S T O M   S I D E B A R 
			//--------------------------------------------------------
			array(
				'name'	=> __('Custom Sidebar','ATP_ADMIN_SITE'),
				'desc'	=> 'Select the Sidebar you wish to assign for this page.',
				'id'	=> $prefix . 'custom_widget',
				'type'	=> 'customselect',
				'std'	=> '',
				
				'options'=> $sidebarwidget
			),
			// L A Y O U T   O P T I O N S 
			//--------------------------------------------------------
			array(
				'name'	=> __('Layout Option','ATP_ADMIN_SITE'),
				'desc'	=> 'Select the Layout style you wish to use for this page, Left Sidebar or Right Sidebar or Full Width.',
				'id'	=> $prefix . 'sidebar_options',
				'std'	=> 'rightsidebar',
				'type'	=> 'layout',
				'options'=> array(
						'rightsidebar'	=>  FRAMEWORK_URI . 'admin/images/right-sidebar.png', 
						'leftsidebar'	=>  FRAMEWORK_URI . 'admin/images/left-sidebar.png',
						'fullwidth'		=>  FRAMEWORK_URI . 'admin/images/fullwidth.png')	
			),
			// B R E A D C R U M B 
			//--------------------------------------------------------
			array(
				'name'	=> __('Breadcrumb','ATP_ADMIN_SITE'),
				'desc'	=> 'Check this if you wish to disable the breadcrumb for this page.',
				'id'	=> $prefix.'breadcrumb',
				'std' 	=> '',
				'type'	=> 'checkbox',
			),
		
		),
	);
?>