<?php
	//P O R T F O L I O  M E T A B O X.
	//-------------------------------------------------------------
	$prefix = '';
	$sidebarwidget = get_option('atp_customsidebar');
	$meta_box[] = array(
		'id'		=> 'portfolio-meta-box',
		'title'		=> THEMENAME. ' Portfolio Options',
		'page'		=> array('portfoliotype'),
		'context'	=> 'normal',
		'priority'	=> 'core',
		'fields'	=> array(
		// P O R T F O L I O   P O S T   T Y P E 
			//--------------------------------------------------------
			array(
				'name'		=>  __('Portfolio Type','ATP_ADMIN_SITE'),
				'desc'		=> 'Select the portfolio type mode you want to use either image or video.',
				'id'		=> $prefix . 'port_posttype_option',
				'std'		=> 'posttype_image',
				'type'		=> 'select',
				'options'	=> array(
								"posttype_image"	=> "Image",
								"gallery"	=>'Slide Show',
								"vimeo"	=> "Vimeo",
								"youtube" => "Youtube"
					)
			),
		
			array( 
				'name' 		=>  __('Youtube','ATP_ADMIN_SITE'),
				'desc'	 	=> 'The ID from the youtbe URL after v= (e.g. http://www.youtube.com/watch?v=<span style="color:red">GgR6dyzkKHI</span>)',
				'id' 		=> $prefix.'youtube',
				'class'		=> 'ptoption youtube',
				'std' 		=> '',
				'type' 		=> 'textarea',
			),
			array( 
				'name' 		=> __('Vimeo','ATP_ADMIN_SITE'),
				'desc' 		=> 'Enter the ID only from the clips URL shown in below example<br>(e.g. http://player.vimeo.com/video/<span style="color:red">17314292<span style="color:red">)',
				'id' 		=> $prefix.'vimeo',
				'class'		=> 'ptoption vimeo',
				'std' 		=> '',
				'type' 		=> 'textarea',
			),
			// C O N  T E N T W I D H T
			//--------------------------------------------------------
			array(
				'name'		=>  __('Content Width','ATP_ADMIN_SITE'),
				'desc'		=> 'Select the Content Width you want to use for this page .',
				'id'		=> $prefix . 'content_width',
				'std'		=> 'fullwidth',
				'type'		=> 'select',
				'options'	=> array(
								'fullwidth'	=> 'Full Width', 
								'halfwidth'	=>  'Half Width'),	
			),
				// C U S T O M   D A T E 
			//--------------------------------------------------------
			array(
				'name'		=>  __('Project Date','ATP_ADMIN_SITE'),
				'desc'		=> 'Select the Project Date.',
				'id'		=> 'project_date',
				'title'		=> 'Project Date',
				'std'		=>  date('d-M-y'),
				'type'		=> 'date',
			),
			// P O R T F O L I O   D E S C R I P T I O N
			//--------------------------------------------------------
			array(
				'name'	=> __('Portfolio Description','ATP_ADMIN_SITE'),
				'desc'	=> 'Type portfolio post short summary here.',
				'id'	=> 'project_desc',
				'std'	=> '',
				'title'	=> 'Portfolio Description',
				'type'	=> 'textarea',
			),
			// V I S I T   S I T E   L I N K 
			//--------------------------------------------------------
			array(
				'name'	=> __('Visit Site Link','ATP_ADMIN_SITE'),
				'desc'	=> 'External Link for the Portfolio Visit Site Link which adds a visit site link beside the read more text.',
				'id'	=> 'visit_link',
				'std'	=> '',
				'title'	=> 'Visit Site Link',
				'type'	=> 'text',
			),

			// C U S T O M N E W M E T A 
			//--------------------------------------------------------
			array(
				'name'	=> __('Add New Meta','ATP_ADMIN_SITE'),
				'desc'	=> 'ex:&lt;strong&gt;Some text&lt;/strong&gt;&nbsp;Some Text&nbsp;',
				'id'	=> $prefix . 'custom_meta',
				'std'	=> '',
				'type'	=> 'newmeta'
			),
			// C U S T O M   S U B H E A D E R   T E A S E R 
			//--------------------------------------------------------
			array(
				'name'	=> __('Subheader Options','ATP_ADMIN_SITE'),
				'desc'	=> 'Select the Teaser type mode you want to display in subheader of the this Post',
				'id'	=> $prefix . 'subheader_teaser_options',
				'std'	=> '',
				'type'	=> 'select',
				'options'=> array(
								'default'	=> 'Default ( Options Panel )',
								'twitter'	=> 'Twitter', 	
								'custom'	=> 'Custom', 
								'googlemap'	=> 'Google Map',
								'disable'	=> 'Disable')
			),
			// T E A S E R   T E X T 
			//--------------------------------------------------------
			array(
				'name'	=> __('Teaser Text','ATP_ADMIN_SITE'),
				'desc'	=> 'Type the text you wish to display in the subheader of this page/post. If you wish to use bold text then use strong element example &lt;strong&gt;bold text &lt;/strong&gt;',
				'id'	=> 'page_desc',
				'class'	=> 'sub_teaser_option custom',
				'std'	=> '',
				'title'	=> 'Title &amp; Teaser Text',
				'type'	=> 'textarea',
			),
			// GOOGLE MAP
			//--------------------------------------------------------
			array(
				'name'	=> __('Google Map Shortcode','ATP_ADMIN_SITE'),
				'desc'	=> 'Type Google Map shortcode you wish to display in the subheader area. Use the shortcode generator in a page to create your google map and then place the shortcode here.',
				'id'	=> 'sub_gmap',
				'title'	=> 'Google Map / Shortcode',
				'class'	=> 'sub_teaser_option googlemap',
				'std'	=> '',
				'type'	=> 'textarea',
			),
			// P A G E   B A C K G R O U N D 
			//--------------------------------------------------------
			array(
				'name'	=>  __('Page Background Image','ATP_ADMIN_SITE'),
				'desc'	=> 'Upload the image for the page background',
				'id'	=> 'page_bg_image',
				'std'	=> '',
				'title'	=> 'Background Image',
				'type'	=> 'upload',
			),
			// S U B H E A D E R   C O L O R 
			//--------------------------------------------------------
			array(
				'name'	=>  __('Subheader','ATP_ADMIN_SITE'),
				'desc'	=> 'Choose the color for subheader background color',
				'id'	=> 'subheader_bg_color',
				'std'	=> '',
				'title'	=> 'Subheader Background',
				'type'	=> 'color',
			),
			// S U B H E A D E R   B A C K G R O U N D
			//--------------------------------------------------------
			array(
				'name'	=>  __('Subheader Background Image','ATP_ADMIN_SITE'),
				'desc'	=> 'subheader background Image',
				'id'	=> 'subheader_img',
				'std'	=> '',
				'title'	=> 'Subheader Background',
				'type'	=> 'upload',
			),
			// C U S T O M   S I D E B A R 
			//--------------------------------------------------------
			array(
				'name'	=>  __('Custom Sidebar','ATP_ADMIN_SITE'),
				'desc'	=> 'Select the Sidebar you want to assign for this page.',
				'id'	=> $prefix . 'custom_widget',
				'std'	=> '',
				'type'	=> 'customselect',
				'options'=> $sidebarwidget
			),
		
			// B R E A D C R U M B 
			//--------------------------------------------------------
			array(
				'name'	=>  __('Breadcrumb','ATP_ADMIN_SITE'),
				'desc'	=> 'Check this if you wish to disable the breadcrumb for this page.',
				'id'	=> $prefix.'breadcrumb',
				'std' 	=> '',
				'type'	=> 'checkbox',
			),
		)
	);
?>