<?php
	//Events type
	//--------------------------------------------------------
	function events_register() {
		$labels = array(
			'name'				=> __('Events','ATP_ADMIN_SITE'),
			'singular_name'		=> __('Events','ATP_ADMIN_SITE'),
			'add_new'			=> __('Add New', 'ATP_ADMIN_SITE'),
			'add_new_item'		=> __('Add New Event','ATP_ADMIN_SITE'),
			'edit_item'			=> __('Edit Event','ATP_ADMIN_SITE'),
			'new_item'			=> __('New Event','ATP_ADMIN_SITE'),
			'view_item'			=> __('View Event','ATP_ADMIN_SITE'),
			'search_items'		=> __('Search Events','ATP_ADMIN_SITE'),
			'not_found'			=> __('Nothing found','ATP_ADMIN_SITE'),
			'not_found_in_trash'=> __('Nothing found in Trash','ATP_ADMIN_SITE'),
			'parent_item_colon'	=> '',
			'all_items' =>  __( 'All Events' ,'ATP_ADMIN_SITE')
		);
	
		$args = array(
			'labels'			=> $labels,
			'public'			=> true,
			'exclude_from_search'=> false,
			'show_ui'			=> true,
			'capability_type'	=> 'post',
			'hierarchical'		=> false,
			'rewrite'			=> array( 'with_front' => false ),
			'query_var'			=> false,	
			'menu_icon'			=> THEME_URI . '/framework/admin/images/events-icon.png',  		
			'supports'			=> array('page-attributes','editor','title','thumbnail'),
			'taxonomies'		=> array('event_cat', 'post_tag')
		); 
		register_post_type( 'events' , $args );
	}
	
	register_taxonomy( 'events_cat', 'events', array(
		'hierarchical'		=> true,
		'labels' 			=> array(
								'name' 				=> __( 'Event Categories', 'taxonomy general name' ),
								'singular_name' 	=> __( 'Events', 'taxonomy singular name' ),
								'search_items' 		=>  __( 'Search Events','ATP_ADMIN_SITE'),
								'all_items' 		=> __( 'All Events','ATP_ADMIN_SITE'),
								'parent_item' 		=> __( 'Parent Location','ATP_ADMIN_SITE'),
								'parent_item_colon' => __( 'Parent Events:','ATP_ADMIN_SITE'),
								'edit_item' 		=> __( 'Edit Events','ATP_ADMIN_SITE'),
								'update_item' 		=> __( 'Update Events','ATP_ADMIN_SITE'),
								'add_new_item' 		=> __( 'Add Event Category','ATP_ADMIN_SITE'),
								'new_item_name' 	=> __( 'New Event','ATP_ADMIN_SITE'),
								'menu_name' 		=> __( 'Event Categories','ATP_ADMIN_SITE'),
						),
		'show_ui'			=> true,
		'query_var'			=> true,
		'rewrite'			=> false,
	));
		
	add_action('init', 'events_register');
	
	function events_columns($columns) {



			$columns = array(
				'cb'      		 	=> '<input type="checkbox" />',
				'title'       		=> __('Title','ATP_ADMIN_SITE'),
				'author'       		=> __('Author','ATP_ADMIN_SITE'),
				'eventthumbnail'    => __('Event Image','ATP_ADMIN_SITE'),
				'eventscat'       	=> __('Event Categories','ATP_ADMIN_SITE'),
				'eventsdate'      	=> __('Event Date','ATP_ADMIN_SITE'),
				'starttime'       	=> __('Start Time','ATP_ADMIN_SITE'),
				'endtime'       	=> __('End Time','ATP_ADMIN_SITE'),
				'date'       		=> __('Date','ATP_ADMIN_SITE'),
		 	
		  );
	
	
		return $columns;
	}
	
	function manage_events_columns($name) {
		global $post, $wp_query;
		switch ($name) {
			case 'eventscat':
							$terms = get_the_terms($post->ID, 'events_cat');
							//If the terms array contains items... (dupe of core)
							if ( !empty($terms) ) {
								//Loop through terms
								foreach ( $terms as $term ){
									//Add tax name & link to an array
									$post_terms[] = esc_html(sanitize_term_field('name', $term->name, $term->term_id, '', 'edit'));
								}
								//Spit out the array as CSV
								echo implode( ', ', $post_terms );
							} else {
								//Text to show if no terms attached for post & tax
								echo '<em>No terms</em>';
							}
							break;
			case 'eventthumbnail':
							echo the_post_thumbnail( array(100,100) );
							break;
			case 'eventsdate':
							echo get_post_meta( get_the_ID(),'event_date',TRUE );
							break;						
			case 'starttime':
							$starttime = get_post_meta( get_the_ID(),'event_starttime',TRUE );
							echo date('g:i a', strtotime( $starttime )); 
							break;
			case 'endtime':
							$endtime = get_post_meta(get_the_ID(),'event_endtime',TRUE);
							echo date('g:i a', strtotime($endtime)); 
							break;
		}
	}
	add_action( 'manage_posts_custom_column', 'manage_events_columns', 10, 2 );
	add_filter( 'manage_edit-events_columns', 'events_columns' );
?>