<?php
	/**
	 * Event Carousel
	 */
	function sys_events_carousel ($atts, $content = null) {
		extract(shortcode_atts(array(
			'cat'	=> '',
			'limit'	=> '-1',
			'title'	=> '',
		), $atts));
		global $post, $readmoretxt, $locationtxt, $starttimetxt, $endtimetxt;
		$eventcarousel_id = rand(10,99);
		$paged = (get_query_var( 'paged' )) ? get_query_var( 'paged' ) : 1;
		
		$query = array(
			'post_type'			=> 'events', 
			'posts_per_page'	=> $limit, 
			'taxonomy'			=> 'events_cat', 
			'term'				=> $cat, 
			'paged'				=> $paged,
			'order'				=> 'DESC'
		);

		query_posts( $query ); //get the results
	
		wp_enqueue_script( 'atp-jcarousel' );

		$out = '<script type="text/javascript">
		jQuery(document).ready(function() {
			jQuery("#jcarousel'.$eventcarousel_id.'").jcarousel({
				easing: "easeInOutExpo",
				scroll: (jQuery(window).width() > 767 ? 4 : 1),
				animation: 1000
			});
		});

		jQuery(window).resize(function() {
			var el = jQuery("#jcarousel'.$eventcarousel_id.'"),
			carousel = el.data("jcarousel"), win_width = jQuery(window).width();
						var visibleItems = (win_width > 767 ? 4 : 1);
						carousel.options.visible = visibleItems;
						carousel.options.scroll = visibleItems;
						carousel.reload();
		});
		</script>';

		$out .= '<div class="list_jcarousel events-carousel">';
		$out .= '<h2 class="carousel-title fancyheading textcenter"><span>'.$title.'</span></h2>';
		$out .= '<ul id="jcarousel'.$eventcarousel_id.'">';
	
			if ( have_posts() ) : 
				
				while ( have_posts() ) : the_post();
			
				$event_starttime = get_post_meta( $post->ID, 'event_starttime', true );
				$event_endtime = get_post_meta( $post->ID, 'event_endtime', true );
				$event_location = get_post_meta( $post->ID,'event_location',true );
					
				$out .= '<li class="one_fourth">';
				$out .= '<div class="carousel-event-block">';
				$out .= '<h5 class="carousel-event-item-title"><a href="' .get_permalink( $post->ID ). '" >'.get_the_title().'</a></h5>';
				$out .= '<span class="carousel-event-date">'.get_post_meta( $post->ID, 'event_date', true ).'</span>';
				$out .= '<div class="carousel-event-details">';
				
				if ( isset( $event_starttime ) && $event_starttime !='' ) {
					$out .= date('g:i a', strtotime($event_starttime));
				}
				$out .= ' - ';
				if ( isset( $event_endtime ) && $event_endtime !='' ) {
					$out .= date('g:i a', strtotime($event_endtime));
				}
				if ( isset( $event_location ) && $event_location !='' ) {
					$out .= '<p>'.$event_location.'</p>';
				}
				
				$out .= '</p>';
				$out .= '</div>'; 
				$out .= '</li>'; 
				
				endwhile;
			
			endif;
			
		$out .= '</ul>';
		$out .= '</div>';
		wp_reset_query();
			
		return $out;
		
	} //EOF sys_events_carousel

	add_shortcode('event_carousel','sys_events_carousel');
?>