<?php
/*
Template Name: Blog
*/
?>
<?php get_header(); ?>
	<div class="pagemid">
		<div class="inner">		
			<div id="main">			
				<div class="entry-content">
				
					<?php if ( atp_generator( 'sidebaroption', get_the_id()) != "fullwidth" ){ $width = '520'; } else { $width = '980';  } ?>
					<?php
					$cats = '';
					if ( is_array( $blog_all_cats = get_option( 'atp_blogacats' ) ) && count( $blog_all_cats ) > 0 ) {
						$cats = implode( ', ', $blog_all_cats );
					}
					if ( get_query_var('paged') ) {
						$paged = get_query_var('paged');
					} elseif ( get_query_var('page') ) {
						$paged = get_query_var('page');
					} else {
						$paged = 1;  
					}

					$args = array(
						'cat' => $cats,
						'paged' => $paged
					);

					$wp_query = null;
					$wp_query = new WP_Query( $args );
					?>

					<?php if ( $wp_query->have_posts()) : while (  $wp_query->have_posts()) :  $wp_query->the_post(); ?>

					<?php $format = get_post_format($post->ID);?>
					<?php if( false === $format ) { $format = 'standard'; } ?>
					
					<div <?php post_class();?> id="post-<?php the_ID(); ?>">
						<div class="post_content">
						<?php if( $format != 'link' && $format != 'quote' && $format != 'aside') { ?>
						<h2 class="entry-title">
						<a href="<?php the_permalink() ?>" rel="bookmark" title="<?php printf( __( "Permanent Link to %s", 'THEME_FRONT_SITE' ), esc_attr( get_the_title() ) ); ?>">
						<?php the_title(); ?></a></h2>
						<?php } ?>
	
						<?php if ( get_option( 'atp_postmeta' ) != "on" ) { ?>
						<div class="post-info">
							<?php if( $format != 'aside' && $format != 'quote' ){?>
							<?php echo atp_generator('postmetaStyle'); ?>
							<?php } ?>							
						</div><!-- post-info -->	
						<?php } ?>
						<?php get_template_part( 'includes/' . $format ); ?>
						<?php if ( $format != 'quote' ){ ?>
						<div class="post-entry">
						<?php the_excerpt(); ?>
							<?php if ( $format != 'quote'   && $format != 'aside' ) { ?>
							<a href="<?php the_permalink() ?>"><span><?php printf (__($readmoretxt,'THEME_FRONT_SITE'));?></span></a>
							<?php  } ?>
						</div>
						<?php } ?>
						</div><!-- .post_content -->					
					</div>
					<!-- /post-<?php the_ID();?> -->

					<?php endwhile; ?>

					<?php
					if ( function_exists( 'atp_pagination' ) ){ 
						atp_pagination(); 
					}?>
					
					<?php else : ?>
					
					<p><?php _e( 'Apologies, but no results were found for the requested archive. Perhaps searching will help find a related post.', 'THEME_FRONT_SITE' ); ?></p>
					<?php get_search_form(); ?>
					
					<?php endif; ?>
					
					<?php wp_reset_query();  ?>

					<?php edit_post_link( __( 'Edit', 'THEME_FRONT_SITE' ), '<span class="edit-link">', '</span>' ); ?>

				</div><!-- .entry-content -->

			</div><!-- #main-->
			
			<?php if ( atp_generator( 'sidebaroption', $post->ID ) != "fullwidth" ){ get_sidebar(); } ?>
			<!-- .sidebar -->

			<div class="clear"></div>

		</div><!-- .inner -->
	</div><!-- .pagemid -->
<?php get_footer(); ?>