<?php
/*
Template Name: Events
*/
?>
<?php get_header(); ?>
<div class="pagemid">
	<div class="inner">

		<div id="main">
		
			<div class="entry-content">
				<?php
		
				if ( get_query_var('paged') ) {
					$paged = get_query_var('paged');
				}
				
				elseif ( get_query_var('page') ) {
					$paged = get_query_var('page');
				} else {
					$paged = 1;  
				}
				query_posts('post_type=events&paged=$paged');

				
				if (have_posts()) : while (have_posts()) : the_post();

				$event_date			= get_post_meta( $post->ID, 'event_date', true );
				$event_starttime	= get_post_meta( $post->ID, 'event_starttime', true );
				$event_endtime		= get_post_meta( $post->ID, 'event_endtime', true );
				$event_location		= get_post_meta( $post->ID, 'event_location', true );
				$event_venue		= get_post_meta( $post->ID, 'event_venue', true );
				$date_event			= explode( ' - ', $event_date );	
				?>

				<div class="events clearfix">
	
					<?php if( has_post_thumbnail()){ ?>
					<div class="event_thumb">
					<?php echo atp_resize( $post->ID, '', '300', '280', 'imageborder', '' );?>
					</div>
					<?php } ?>

					<div class="event_entry">
						
						<div class="event_details">

							<h2 class="entry-title">
							<a href="<?php the_permalink() ?>" rel="bookmark" title="<?php printf( __( "Permanent Link to %s", 'THEME_FRONT_SITE' ), esc_attr( get_the_title() ) ); ?>"><?php the_title(); ?></a>
							</h2>

							<?php if ( isset( $event_date ) && $event_date != '' ) { ?>
							<div class="event_date"><span style="font-size:26px;"><?php echo $event_date; ?></span></div>
							<?php } ?>

							<?php if ( isset( $event_venue ) && $event_venue != '' ) { ?>
							<div class="event_venue"><span><?php echo $venuetxt; ?></span> - <?php echo $event_venue; ?></div>
							<?php } ?>

							<?php if ( isset( $event_location ) && $event_location != '' ) { ?>
							<div class="event_location"><span><?php echo $locationtxt; ?></span> - <?php echo $event_location; ?></div>
							<?php } ?>

							<?php if ( isset( $event_starttime) && $event_starttime !='') { ?>
								<div class="event_start"><span><?php echo $starttimetxt; ?></span> - <?php echo date('g:i a', strtotime($event_starttime)); ?></div>
							<?php } ?>

							<?php if ( isset( $event_endtime ) && $event_endtime != '' ) { ?>
								<div class="event_end"><span><?php echo $endtimetxt; ?></span> - <?php echo date('g:i a', strtotime($event_endtime));; ?></div>
							<?php } ?>

							<hr/>

							<?php the_excerpt(); ?>

						</div><!-- .event_details-->
					</div><!-- .event_entry -->

				</div><!-- .events -->

				<div class="divider dashed"></div>
				<!-- #post-<?php the_ID();?> -->

				<?php endwhile; ?>
				
				<?php wp_reset_query(); ?>
							
				<?php edit_post_link( __( 'Edit', 'THEME_FRONT_SITE' ), '<span class="edit-link">', '</span>' ); ?>
		
				<?php
				if(function_exists('atp_pagination')){ 
					atp_pagination(); 
				}?>
							
				<?php else : ?>
				<p><?php _e( 'Apologies, but no results were found for the requested archive. Perhaps searching will help find a related post.', 'THEME_FRONT_SITE' ); ?></p>
				<?php get_search_form(); ?>
				
				<?php endif;?>

			</div><!-- .entry-content -->
	
		</div><!-- #main-->

		<?php if ( atp_generator( 'sidebaroption', $post->ID) != "fullwidth" ){ get_sidebar(); } ?>
		<!-- .sidebar -->

		<div class="clear"></div>

	</div><!-- .inner -->
</div><!-- .pagemid -->
<?php get_footer(); ?>